commit:     48ce504c726b6796a20fefac6b1f6d3c1803adbd
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  1 10:30:35 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Sep  1 10:43:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48ce504c

sys-libs/libieee1284: migrate to EAPI=7

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

diff --git a/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild 
b/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
index 9cb0704f1c1..6966e3e27a5 100644
--- a/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
+++ b/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="6"
+EAPI="7"
 
 PYTHON_COMPAT=( python2_7 )
 
@@ -17,25 +17,29 @@ KEYWORDS="amd64 ppc x86"
 IUSE="doc python static-libs"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-RDEPEND="
-       python? ( ${PYTHON_DEPS} )"
-DEPEND="${RDEPEND}
-       doc? (
+BDEPEND="doc? (
                app-text/docbook-sgml-utils
                >=app-text/docbook-sgml-dtd-4.1
                app-text/docbook-dsssl-stylesheets
                dev-perl/XML-RegExp
        )"
 
+DEPEND="python? ( ${PYTHON_DEPS} )"
+
+RDEPEND="${DEPEND}"
+
 pkg_setup() {
        use python && python-single-r1_pkg_setup
 }
 
 multilib_src_configure() {
-       ECONF_SOURCE="${S}" econf \
-               --enable-shared \
-               $(use_enable static-libs static) \
+       local myeconfargs=(
+               --enable-shared
+               $(use_enable static-libs static)
                $(multilib_native_use_with python)
+       )
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
 }
 
 multilib_src_install_all() {
@@ -43,6 +47,6 @@ multilib_src_install_all() {
        dodoc doc/interface*
 
        if ! use static-libs; then
-               find "${D}" -name '*.la' -delete || die
+               find "${ED}" -name '*.la' -delete || die
        fi
 }

Reply via email to